{
	"name": "steamwar-website",
	"type": "module",
	"version": "0.0.1",
	"scripts": {
		"dev": "astro dev",
		"start": "astro dev",
		"build": "astro build",
		"preview": "astro preview",
		"astro": "astro",
		"i18n:extract": "astro-i18n extract",
		"i18n:generate:pages": "astro-i18n generate:pages --purge",
		"i18n:generate:types": "astro-i18n generate:types",
		"i18n:sync": "pnpm run i18n:generate:pages && pnpm run i18n:generate:types",
		"clean:dist": "rm -rf dist",
		"clean:node_modules": "rm -rf node_modules",
		"ci": "pnpm run clean:dist && pnpm install && pnpm run i18n:sync && pnpm run build"
	},
	"devDependencies": {
		"@astrojs/svelte": "^5.0.3",
		"@astrojs/tailwind": "^5.1.0",
		"@astropub/icons": "^0.2.0",
		"@types/color": "^3.0.6",
		"@types/node": "^20.11.20",
		"@types/three": "^0.162.0",
		"@typescript-eslint/eslint-plugin": "^6.21.0",
		"@typescript-eslint/parser": "^6.21.0",
		"autoprefixer": "^10.4.17",
		"cssnano": "^6.0.5",
		"esbuild": "^0.19.12",
		"eslint": "^8.57.0",
		"eslint-plugin-astro": "^0.31.4",
		"eslint-plugin-jsx-a11y": "^6.8.0",
		"eslint-plugin-svelte": "^2.35.1",
		"postcss-nesting": "^12.0.3",
		"sass": "^1.71.1",
		"svelte": "^4.2.12",
		"tailwind-merge": "^2.2.1",
		"tailwindcss": "^3.4.1",
		"three": "^0.162.0",
		"typescript": "^5.3.3"
	},
	"dependencies": {
		"@astrojs/mdx": "^2.1.1",
		"@astrojs/sitemap": "^3.1.1",
		"@codemirror/lang-json": "^6.0.1",
		"@ddietr/codemirror-themes": "^1.4.2",
		"astro": "^4.4.4",
		"astro-i18n": "^2.2.4",
		"astro-robots-txt": "^1.0.0",
		"astro-seo": "^0.8.2",
		"chart.js": "^4.4.1",
		"chartjs-adapter-dayjs-4": "^1.0.4",
		"chartjs-adapter-moment": "^1.0.1",
		"color": "^4.2.3",
		"dayjs": "^1.11.10",
		"easymde": "^2.18.0",
		"flowbite": "^1.8.1",
		"flowbite-svelte": "^0.44.24",
		"flowbite-svelte-icons": "^0.4.5",
		"qs": "^6.11.2",
		"sharp": "^0.32.6",
		"svelte-awesome": "^3.3.1",
		"svelte-codemirror-editor": "^1.2.0",
		"svelte-spa-router": "^3.3.0",
		"zod": "^3.22.4"
	}
}
